curl --request PATCH \
--url https://api.cozmox.ai/workflow/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nodes": [
{
"type": "conversation",
"name": "<string>",
"model": {
"provider": "openai",
"temperature": 1,
"maxTokens": 5025
},
"transcriber": {
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": false,
"formatTurns": false,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": [
"<string>"
],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": true
},
"voice": {
"provider": "azure",
"cachingEnabled": true,
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"。",
",",
".",
"!",
"?",
";",
"،",
"۔",
"।",
"॥",
"|",
"||",
",",
":"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": false
}
]
}
},
"speed": 1.25
},
"prompt": "<string>",
"globalNodePlan": {
"enabled": false,
"enterCondition": ""
},
"variableExtractionPlan": {
"aliases": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"isStart": true,
"metadata": {}
}
],
"transcriber": {
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": false,
"formatTurns": false,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": [
"<string>"
],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": true
},
"voice": {
"provider": "azure",
"cachingEnabled": true,
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"。",
",",
".",
"!",
"?",
";",
"،",
"۔",
"।",
"॥",
"|",
"||",
",",
":"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": false
}
]
}
},
"speed": 1.25
},
"backgroundSound": "office",
"credentials": [
{
"provider": "anthropic",
"apiKey": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"edges": [
{
"from": "<string>",
"to": "<string>",
"metadata": {}
}
],
"globalPrompt": "<string>",
"server": {
"timeoutSeconds": 20,
"url": "<string>",
"headers": {}
},
"compliancePlan": {
"hipaaEnabled": {
"hipaaEnabled": false
},
"pciEnabled": {
"pciEnabled": false
}
},
"analysisPlan": {
"minMessagesThreshold": 1,
"summaryPlan": {
"messages": [
{}
],
"enabled": true,
"timeoutSeconds": 30.5
},
"structuredDataPlan": {
"messages": [
{}
],
"enabled": true,
"timeoutSeconds": 30.5
},
"structuredDataMultiPlan": [
{
"key": "<string>",
"plan": {
"messages": [
{}
],
"enabled": true,
"timeoutSeconds": 30.5
}
}
],
"successEvaluationPlan": {
"messages": [
{}
],
"enabled": true,
"timeoutSeconds": 30.5
}
},
"artifactPlan": {
"recordingEnabled": true,
"videoRecordingEnabled": false,
"pcapEnabled": true,
"pcapS3PathPrefix": "/pcaps",
"transcriptPlan": {
"enabled": true,
"assistantName": "<string>",
"userName": "<string>"
},
"recordingPath": "<string>"
},
"startSpeakingPlan": {
"waitSeconds": 0.4,
"smartEndpointingEnabled": false,
"smartEndpointingPlan": {
"provider": "cozmox"
},
"customEndpointingRules": [
{
"type": "assistant",
"regex": "<string>",
"timeoutSeconds": 7.5,
"regexOptions": [
{
"enabled": true
}
]
}
],
"transcriptionEndpointingPlan": {
"onPunctuationSeconds": 0.1,
"onNoPunctuationSeconds": 1.5,
"onNumberSeconds": 0.5
}
},
"stopSpeakingPlan": {
"numWords": 0,
"voiceSeconds": 0.2,
"backoffSeconds": 1,
"acknowledgementPhrases": [
"i understand",
"i see",
"i got it",
"i hear you",
"im listening",
"im with you",
"right",
"okay",
"ok",
"sure",
"alright",
"got it",
"understood",
"yeah",
"yes",
"uh-huh",
"mm-hmm",
"gotcha",
"mhmm",
"ah",
"yeah okay",
"yeah sure"
],
"interruptionPhrases": [
"stop",
"shut",
"up",
"enough",
"quiet",
"silence",
"but",
"dont",
"not",
"no",
"hold",
"wait",
"cut",
"pause",
"nope",
"nah",
"nevermind",
"never",
"bad",
"actually"
]
},
"monitorPlan": {
"listenEnabled": false,
"listenAuthenticationEnabled": false,
"controlEnabled": false,
"controlAuthenticationEnabled": false
},
"backgroundSpeechDenoisingPlan": {
"smartDenoisingPlan": {
"enabled": false
},
"fourierDenoisingPlan": {
"enabled": false,
"mediaDetectionEnabled": true,
"staticThreshold": -35,
"baselineOffsetDb": -15,
"windowSizeMs": 3000,
"baselinePercentile": 85
}
},
"credentialIds": [
"<string>"
]
}
'import requests
url = "https://api.cozmox.ai/workflow/{id}"
payload = {
"nodes": [
{
"type": "conversation",
"name": "<string>",
"model": {
"provider": "openai",
"temperature": 1,
"maxTokens": 5025
},
"transcriber": {
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": False,
"formatTurns": False,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": ["<string>"],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": True
},
"voice": {
"provider": "azure",
"cachingEnabled": True,
"chunkPlan": {
"enabled": True,
"minCharacters": 30,
"punctuationBoundaries": ["。", ",", ".", "!", "?", ";", "،", "۔", "।", "॥", "|", "||", ",", ":"],
"formatPlan": {
"enabled": True,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": False
}
]
}
},
"speed": 1.25
},
"prompt": "<string>",
"globalNodePlan": {
"enabled": False,
"enterCondition": ""
},
"variableExtractionPlan": { "aliases": [
{
"key": "<string>",
"value": "<string>"
}
] },
"isStart": True,
"metadata": {}
}
],
"transcriber": {
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": False,
"formatTurns": False,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": ["<string>"],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": True
},
"voice": {
"provider": "azure",
"cachingEnabled": True,
"chunkPlan": {
"enabled": True,
"minCharacters": 30,
"punctuationBoundaries": ["。", ",", ".", "!", "?", ";", "،", "۔", "।", "॥", "|", "||", ",", ":"],
"formatPlan": {
"enabled": True,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": False
}
]
}
},
"speed": 1.25
},
"backgroundSound": "office",
"credentials": [
{
"provider": "anthropic",
"apiKey": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"edges": [
{
"from": "<string>",
"to": "<string>",
"metadata": {}
}
],
"globalPrompt": "<string>",
"server": {
"timeoutSeconds": 20,
"url": "<string>",
"headers": {}
},
"compliancePlan": {
"hipaaEnabled": { "hipaaEnabled": False },
"pciEnabled": { "pciEnabled": False }
},
"analysisPlan": {
"minMessagesThreshold": 1,
"summaryPlan": {
"messages": [{}],
"enabled": True,
"timeoutSeconds": 30.5
},
"structuredDataPlan": {
"messages": [{}],
"enabled": True,
"timeoutSeconds": 30.5
},
"structuredDataMultiPlan": [
{
"key": "<string>",
"plan": {
"messages": [{}],
"enabled": True,
"timeoutSeconds": 30.5
}
}
],
"successEvaluationPlan": {
"messages": [{}],
"enabled": True,
"timeoutSeconds": 30.5
}
},
"artifactPlan": {
"recordingEnabled": True,
"videoRecordingEnabled": False,
"pcapEnabled": True,
"pcapS3PathPrefix": "/pcaps",
"transcriptPlan": {
"enabled": True,
"assistantName": "<string>",
"userName": "<string>"
},
"recordingPath": "<string>"
},
"startSpeakingPlan": {
"waitSeconds": 0.4,
"smartEndpointingEnabled": False,
"smartEndpointingPlan": { "provider": "cozmox" },
"customEndpointingRules": [
{
"type": "assistant",
"regex": "<string>",
"timeoutSeconds": 7.5,
"regexOptions": [{ "enabled": True }]
}
],
"transcriptionEndpointingPlan": {
"onPunctuationSeconds": 0.1,
"onNoPunctuationSeconds": 1.5,
"onNumberSeconds": 0.5
}
},
"stopSpeakingPlan": {
"numWords": 0,
"voiceSeconds": 0.2,
"backoffSeconds": 1,
"acknowledgementPhrases": ["i understand", "i see", "i got it", "i hear you", "im listening", "im with you", "right", "okay", "ok", "sure", "alright", "got it", "understood", "yeah", "yes", "uh-huh", "mm-hmm", "gotcha", "mhmm", "ah", "yeah okay", "yeah sure"],
"interruptionPhrases": ["stop", "shut", "up", "enough", "quiet", "silence", "but", "dont", "not", "no", "hold", "wait", "cut", "pause", "nope", "nah", "nevermind", "never", "bad", "actually"]
},
"monitorPlan": {
"listenEnabled": False,
"listenAuthenticationEnabled": False,
"controlEnabled": False,
"controlAuthenticationEnabled": False
},
"backgroundSpeechDenoisingPlan": {
"smartDenoisingPlan": { "enabled": False },
"fourierDenoisingPlan": {
"enabled": False,
"mediaDetectionEnabled": True,
"staticThreshold": -35,
"baselineOffsetDb": -15,
"windowSizeMs": 3000,
"baselinePercentile": 85
}
},
"credentialIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nodes: [
{
type: 'conversation',
name: '<string>',
model: {provider: 'openai', temperature: 1, maxTokens: 5025},
transcriber: {
provider: 'assembly-ai',
language: 'en',
confidenceThreshold: 0.4,
enableUniversalStreamingApi: false,
formatTurns: false,
endOfTurnConfidenceThreshold: 0.7,
minEndOfTurnSilenceWhenConfident: 160,
wordFinalizationMaxWaitTime: 160,
maxTurnSilence: 400,
realtimeUrl: '<string>',
wordBoost: ['<string>'],
endUtteranceSilenceThreshold: 123,
disablePartialTranscripts: true
},
voice: {
provider: 'azure',
cachingEnabled: true,
chunkPlan: {
enabled: true,
minCharacters: 30,
punctuationBoundaries: ['。', ',', '.', '!', '?', ';', '،', '۔', '।', '॥', '|', '||', ',', ':'],
formatPlan: {
enabled: true,
numberToDigitsCutoff: 2025,
replacements: [{type: 'exact', key: '<string>', value: '<string>', replaceAllEnabled: false}]
}
},
speed: 1.25
},
prompt: '<string>',
globalNodePlan: {enabled: false, enterCondition: ''},
variableExtractionPlan: {aliases: [{key: '<string>', value: '<string>'}]},
isStart: true,
metadata: {}
}
],
transcriber: {
provider: 'assembly-ai',
language: 'en',
confidenceThreshold: 0.4,
enableUniversalStreamingApi: false,
formatTurns: false,
endOfTurnConfidenceThreshold: 0.7,
minEndOfTurnSilenceWhenConfident: 160,
wordFinalizationMaxWaitTime: 160,
maxTurnSilence: 400,
realtimeUrl: '<string>',
wordBoost: ['<string>'],
endUtteranceSilenceThreshold: 123,
disablePartialTranscripts: true
},
voice: {
provider: 'azure',
cachingEnabled: true,
chunkPlan: {
enabled: true,
minCharacters: 30,
punctuationBoundaries: ['。', ',', '.', '!', '?', ';', '،', '۔', '।', '॥', '|', '||', ',', ':'],
formatPlan: {
enabled: true,
numberToDigitsCutoff: 2025,
replacements: [{type: 'exact', key: '<string>', value: '<string>', replaceAllEnabled: false}]
}
},
speed: 1.25
},
backgroundSound: 'office',
credentials: [{provider: 'anthropic', apiKey: '<string>', name: '<string>'}],
name: '<string>',
edges: [{from: '<string>', to: '<string>', metadata: {}}],
globalPrompt: '<string>',
server: {timeoutSeconds: 20, url: '<string>', headers: {}},
compliancePlan: {hipaaEnabled: {hipaaEnabled: false}, pciEnabled: {pciEnabled: false}},
analysisPlan: {
minMessagesThreshold: 1,
summaryPlan: {messages: [{}], enabled: true, timeoutSeconds: 30.5},
structuredDataPlan: {messages: [{}], enabled: true, timeoutSeconds: 30.5},
structuredDataMultiPlan: [{key: '<string>', plan: {messages: [{}], enabled: true, timeoutSeconds: 30.5}}],
successEvaluationPlan: {messages: [{}], enabled: true, timeoutSeconds: 30.5}
},
artifactPlan: {
recordingEnabled: true,
videoRecordingEnabled: false,
pcapEnabled: true,
pcapS3PathPrefix: '/pcaps',
transcriptPlan: {enabled: true, assistantName: '<string>', userName: '<string>'},
recordingPath: '<string>'
},
startSpeakingPlan: {
waitSeconds: 0.4,
smartEndpointingEnabled: false,
smartEndpointingPlan: {provider: 'cozmox'},
customEndpointingRules: [
{
type: 'assistant',
regex: '<string>',
timeoutSeconds: 7.5,
regexOptions: [{enabled: true}]
}
],
transcriptionEndpointingPlan: {onPunctuationSeconds: 0.1, onNoPunctuationSeconds: 1.5, onNumberSeconds: 0.5}
},
stopSpeakingPlan: {
numWords: 0,
voiceSeconds: 0.2,
backoffSeconds: 1,
acknowledgementPhrases: [
'i understand',
'i see',
'i got it',
'i hear you',
'im listening',
'im with you',
'right',
'okay',
'ok',
'sure',
'alright',
'got it',
'understood',
'yeah',
'yes',
'uh-huh',
'mm-hmm',
'gotcha',
'mhmm',
'ah',
'yeah okay',
'yeah sure'
],
interruptionPhrases: [
'stop',
'shut',
'up',
'enough',
'quiet',
'silence',
'but',
'dont',
'not',
'no',
'hold',
'wait',
'cut',
'pause',
'nope',
'nah',
'nevermind',
'never',
'bad',
'actually'
]
},
monitorPlan: {
listenEnabled: false,
listenAuthenticationEnabled: false,
controlEnabled: false,
controlAuthenticationEnabled: false
},
backgroundSpeechDenoisingPlan: {
smartDenoisingPlan: {enabled: false},
fourierDenoisingPlan: {
enabled: false,
mediaDetectionEnabled: true,
staticThreshold: -35,
baselineOffsetDb: -15,
windowSizeMs: 3000,
baselinePercentile: 85
}
},
credentialIds: ['<string>']
})
};
fetch('https://api.cozmox.ai/workflow/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"type": "conversation",
"name": "<string>",
"model": {
"provider": "openai",
"temperature": 1,
"maxTokens": 5025
},
"transcriber": {
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": false,
"formatTurns": false,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": [
"<string>"
],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": true,
"fallbackPlan": {
"transcribers": [
{
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": false,
"formatTurns": false,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": [
"<string>"
],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": true
}
]
}
},
"voice": {
"provider": "azure",
"cachingEnabled": true,
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"。",
",",
".",
"!",
"?",
";",
"،",
"۔",
"।",
"॥",
"|",
"||",
",",
":"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": false
}
]
}
},
"speed": 1.25,
"fallbackPlan": {
"voices": [
{
"provider": "azure",
"cachingEnabled": true,
"speed": 1.25,
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"。",
",",
".",
"!",
"?",
";",
"،",
"۔",
"।",
"॥",
"|",
"||",
",",
":"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": false
}
]
}
}
}
]
}
},
"prompt": "<string>",
"globalNodePlan": {
"enabled": false,
"enterCondition": ""
},
"variableExtractionPlan": {
"schema": {
"items": {},
"properties": {},
"description": "<string>",
"pattern": "<string>",
"required": [
"<string>"
],
"enum": [
"<string>"
],
"title": "<string>"
},
"aliases": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"isStart": true,
"metadata": {}
}
],
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"edges": [
{
"from": "<string>",
"to": "<string>",
"condition": {
"type": "ai",
"prompt": "<string>"
},
"metadata": {}
}
],
"transcriber": {
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": false,
"formatTurns": false,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": [
"<string>"
],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": true,
"fallbackPlan": {
"transcribers": [
{
"provider": "assembly-ai",
"language": "en",
"confidenceThreshold": 0.4,
"enableUniversalStreamingApi": false,
"formatTurns": false,
"endOfTurnConfidenceThreshold": 0.7,
"minEndOfTurnSilenceWhenConfident": 160,
"wordFinalizationMaxWaitTime": 160,
"maxTurnSilence": 400,
"realtimeUrl": "<string>",
"wordBoost": [
"<string>"
],
"endUtteranceSilenceThreshold": 123,
"disablePartialTranscripts": true
}
]
}
},
"voice": {
"provider": "azure",
"cachingEnabled": true,
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"。",
",",
".",
"!",
"?",
";",
"،",
"۔",
"।",
"॥",
"|",
"||",
",",
":"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": false
}
]
}
},
"speed": 1.25,
"fallbackPlan": {
"voices": [
{
"provider": "azure",
"cachingEnabled": true,
"speed": 1.25,
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"。",
",",
".",
"!",
"?",
";",
"،",
"۔",
"।",
"॥",
"|",
"||",
",",
":"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"type": "exact",
"key": "<string>",
"value": "<string>",
"replaceAllEnabled": false
}
]
}
}
}
]
}
},
"observabilityPlan": {
"provider": "langfuse",
"tags": [
"<string>"
],
"metadata": {}
},
"backgroundSound": "office",
"credentials": [
{
"provider": "anthropic",
"apiKey": "<string>",
"name": "<string>"
}
],
"globalPrompt": "<string>",
"server": {
"timeoutSeconds": 20,
"url": "<string>",
"headers": {},
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1
}
},
"compliancePlan": {
"hipaaEnabled": {
"hipaaEnabled": false
},
"pciEnabled": {
"pciEnabled": false
}
},
"analysisPlan": {
"minMessagesThreshold": 1,
"summaryPlan": {
"messages": [
{}
],
"enabled": true,
"timeoutSeconds": 30.5
},
"structuredDataPlan": {
"messages": [
{}
],
"enabled": true,
"schema": {
"items": {},
"properties": {},
"description": "<string>",
"pattern": "<string>",
"required": [
"<string>"
],
"enum": [
"<string>"
],
"title": "<string>"
},
"timeoutSeconds": 30.5
},
"structuredDataMultiPlan": [
{
"key": "<string>",
"plan": {
"messages": [
{}
],
"enabled": true,
"schema": {
"items": {},
"properties": {},
"description": "<string>",
"pattern": "<string>",
"required": [
"<string>"
],
"enum": [
"<string>"
],
"title": "<string>"
},
"timeoutSeconds": 30.5
}
}
],
"successEvaluationPlan": {
"messages": [
{}
],
"enabled": true,
"timeoutSeconds": 30.5
}
},
"artifactPlan": {
"recordingEnabled": true,
"videoRecordingEnabled": false,
"pcapEnabled": true,
"pcapS3PathPrefix": "/pcaps",
"transcriptPlan": {
"enabled": true,
"assistantName": "<string>",
"userName": "<string>"
},
"recordingPath": "<string>"
},
"startSpeakingPlan": {
"waitSeconds": 0.4,
"smartEndpointingEnabled": false,
"smartEndpointingPlan": {
"provider": "cozmox"
},
"customEndpointingRules": [
{
"type": "assistant",
"regex": "<string>",
"timeoutSeconds": 7.5,
"regexOptions": [
{
"enabled": true
}
]
}
],
"transcriptionEndpointingPlan": {
"onPunctuationSeconds": 0.1,
"onNoPunctuationSeconds": 1.5,
"onNumberSeconds": 0.5
}
},
"stopSpeakingPlan": {
"numWords": 0,
"voiceSeconds": 0.2,
"backoffSeconds": 1,
"acknowledgementPhrases": [
"i understand",
"i see",
"i got it",
"i hear you",
"im listening",
"im with you",
"right",
"okay",
"ok",
"sure",
"alright",
"got it",
"understood",
"yeah",
"yes",
"uh-huh",
"mm-hmm",
"gotcha",
"mhmm",
"ah",
"yeah okay",
"yeah sure"
],
"interruptionPhrases": [
"stop",
"shut",
"up",
"enough",
"quiet",
"silence",
"but",
"dont",
"not",
"no",
"hold",
"wait",
"cut",
"pause",
"nope",
"nah",
"nevermind",
"never",
"bad",
"actually"
]
},
"monitorPlan": {
"listenEnabled": false,
"listenAuthenticationEnabled": false,
"controlEnabled": false,
"controlAuthenticationEnabled": false
},
"backgroundSpeechDenoisingPlan": {
"smartDenoisingPlan": {
"enabled": false
},
"fourierDenoisingPlan": {
"enabled": false,
"mediaDetectionEnabled": true,
"staticThreshold": -35,
"baselineOffsetDb": -15,
"windowSizeMs": 3000,
"baselinePercentile": 85
}
},
"credentialIds": [
"<string>"
]
}Update Workflow
Authorizations
Retrieve your API Key from Dashboard [blocked].
Path Parameters
Body
- ConversationNode
- ToolNode
Show child attributes
Show child attributes
This is the transcriber for the workflow.
This can be overridden at node level using nodes[n].transcriber.
- AssemblyAITranscriber
- AzureSpeechTranscriber
- CustomTranscriber
- DeepgramTranscriber
- ElevenLabsTranscriber
- GladiaTranscriber
- GoogleTranscriber
- SpeechmaticsTranscriber
- TalkscriberTranscriber
- OpenAITranscriber
- CartesiaTranscriber
Show child attributes
Show child attributes
This is the voice for the workflow.
This can be overridden at node level using nodes[n].voice.
- AzureVoice
- CartesiaVoice
- CustomVoice
- DeepgramVoice
- ElevenLabsVoice
- HumeVoice
- LMNTVoice
- NeuphonicVoice
- OpenAIVoice
- PlayHTVoice
- RimeAIVoice
- SmallestAIVoice
- TavusVoice
- cozmoxVoice
- SesameVoice
- InworldVoice
Show child attributes
Show child attributes
This is the plan for observability of workflow's calls.
Currently, only Langfuse is supported.
Show child attributes
Show child attributes
This is the background sound in the call. Default for phone calls is 'office' and default for web calls is 'off'. You can also provide a custom sound by providing a URL to an audio file.
off, office "office"
These are dynamic credentials that will be used for the workflow calls. By default, all the credentials are available for use in the call but you can supplement an additional credentials using this. Dynamic credentials override existing credentials.
- AnthropicCredential
- AnyscaleCredential
- AssemblyAICredential
- AzureCredential
- AzureOpenAICredential
- ByoSipTrunkCredential
- CartesiaCredential
- CerebrasCredential
- CloudflareCredential
- CustomLLMCredential
- DeepgramCredential
- DeepInfraCredential
- DeepSeekCredential
- ElevenLabsCredential
- GcpCredential
- GladiaCredential
- GhlCredential
- GoogleCredential
- GroqCredential
- HumeCredential
- InflectionAICredential
- LangfuseCredential
- LmntCredential
- MakeCredential
- MistralCredential
- NeuphonicCredential
- OpenAICredential
- OpenRouterCredential
- PerplexityAICredential
- PlayHTCredential
- RimeAICredential
- RunpodCredential
- S3Credential
- SmallestAICredential
- SpeechmaticsCredential
- SupabaseCredential
- TavusCredential
- TogetherAICredential
- TrieveCredential
- TwilioCredential
- VonageCredential
- WebhookCredential
- XAiCredential
- GoogleCalendarOAuth2ClientCredential
- GoogleCalendarOAuth2AuthorizationCredential
- GoogleSheetsOAuth2AuthorizationCredential
- SlackOAuth2AuthorizationCredential
- GoHighLevelMCPCredential
Show child attributes
Show child attributes
80Show child attributes
Show child attributes
5000This is where cozmox will send webhooks. You can find all webhooks available along with their shape in ServerMessage schema.
The order of precedence is:
- tool.server
- workflow.server / assistant.server
- phoneNumber.server
- org.server
Show child attributes
Show child attributes
This is the compliance plan for the workflow. It allows you to configure HIPAA and other compliance settings.
Show child attributes
Show child attributes
This is the plan for analysis of workflow's calls. Stored in call.analysis.
Show child attributes
Show child attributes
This is the plan for artifacts generated during workflow's calls. Stored in call.artifact.
Show child attributes
Show child attributes
This is the plan for when the workflow nodes should start talking.
You should configure this if you're running into these issues:
- The assistant is too slow to start talking after the customer is done speaking.
- The assistant is too fast to start talking after the customer is done speaking.
- The assistant is so fast that it's actually interrupting the customer.
Show child attributes
Show child attributes
This is the plan for when workflow nodes should stop talking on customer interruption.
You should configure this if you're running into these issues:
- The assistant is too slow to recognize customer's interruption.
- The assistant is too fast to recognize customer's interruption.
- The assistant is getting interrupted by phrases that are just acknowledgments.
- The assistant is getting interrupted by background noises.
- The assistant is not properly stopping -- it starts talking right after getting interrupted.
Show child attributes
Show child attributes
This is the plan for real-time monitoring of the workflow's calls.
Usage:
- To enable live listening of the workflow's calls, set
monitorPlan.listenEnabledtotrue. - To enable live control of the workflow's calls, set
monitorPlan.controlEnabledtotrue.
Show child attributes
Show child attributes
This enables filtering of noise and background speech while the user is talking.
Features:
- Smart denoising using Krisp
- Fourier denoising
Both can be used together. Order of precedence:
- Smart denoising
- Fourier denoising
Show child attributes
Show child attributes
These are the credentials that will be used for the workflow calls. By default, all the credentials are available for use in the call but you can provide a subset using this.
Response
- ConversationNode
- ToolNode
Show child attributes
Show child attributes
80Show child attributes
Show child attributes
This is the transcriber for the workflow.
This can be overridden at node level using nodes[n].transcriber.
- AssemblyAITranscriber
- AzureSpeechTranscriber
- CustomTranscriber
- DeepgramTranscriber
- ElevenLabsTranscriber
- GladiaTranscriber
- GoogleTranscriber
- SpeechmaticsTranscriber
- TalkscriberTranscriber
- OpenAITranscriber
- CartesiaTranscriber
Show child attributes
Show child attributes
This is the voice for the workflow.
This can be overridden at node level using nodes[n].voice.
- AzureVoice
- CartesiaVoice
- CustomVoice
- DeepgramVoice
- ElevenLabsVoice
- HumeVoice
- LMNTVoice
- NeuphonicVoice
- OpenAIVoice
- PlayHTVoice
- RimeAIVoice
- SmallestAIVoice
- TavusVoice
- cozmoxVoice
- SesameVoice
- InworldVoice
Show child attributes
Show child attributes
This is the plan for observability of workflow's calls.
Currently, only Langfuse is supported.
Show child attributes
Show child attributes
This is the background sound in the call. Default for phone calls is 'office' and default for web calls is 'off'. You can also provide a custom sound by providing a URL to an audio file.
off, office "office"
These are dynamic credentials that will be used for the workflow calls. By default, all the credentials are available for use in the call but you can supplement an additional credentials using this. Dynamic credentials override existing credentials.
- AnthropicCredential
- AnyscaleCredential
- AssemblyAICredential
- AzureCredential
- AzureOpenAICredential
- ByoSipTrunkCredential
- CartesiaCredential
- CerebrasCredential
- CloudflareCredential
- CustomLLMCredential
- DeepgramCredential
- DeepInfraCredential
- DeepSeekCredential
- ElevenLabsCredential
- GcpCredential
- GladiaCredential
- GhlCredential
- GoogleCredential
- GroqCredential
- HumeCredential
- InflectionAICredential
- LangfuseCredential
- LmntCredential
- MakeCredential
- MistralCredential
- NeuphonicCredential
- OpenAICredential
- OpenRouterCredential
- PerplexityAICredential
- PlayHTCredential
- RimeAICredential
- RunpodCredential
- S3Credential
- SmallestAICredential
- SpeechmaticsCredential
- SupabaseCredential
- TavusCredential
- TogetherAICredential
- TrieveCredential
- TwilioCredential
- VonageCredential
- WebhookCredential
- XAiCredential
- GoogleCalendarOAuth2ClientCredential
- GoogleCalendarOAuth2AuthorizationCredential
- GoogleSheetsOAuth2AuthorizationCredential
- SlackOAuth2AuthorizationCredential
- GoHighLevelMCPCredential
Show child attributes
Show child attributes
5000This is where cozmox will send webhooks. You can find all webhooks available along with their shape in ServerMessage schema.
The order of precedence is:
- tool.server
- workflow.server / assistant.server
- phoneNumber.server
- org.server
Show child attributes
Show child attributes
This is the compliance plan for the workflow. It allows you to configure HIPAA and other compliance settings.
Show child attributes
Show child attributes
This is the plan for analysis of workflow's calls. Stored in call.analysis.
Show child attributes
Show child attributes
This is the plan for artifacts generated during workflow's calls. Stored in call.artifact.
Show child attributes
Show child attributes
This is the plan for when the workflow nodes should start talking.
You should configure this if you're running into these issues:
- The assistant is too slow to start talking after the customer is done speaking.
- The assistant is too fast to start talking after the customer is done speaking.
- The assistant is so fast that it's actually interrupting the customer.
Show child attributes
Show child attributes
This is the plan for when workflow nodes should stop talking on customer interruption.
You should configure this if you're running into these issues:
- The assistant is too slow to recognize customer's interruption.
- The assistant is too fast to recognize customer's interruption.
- The assistant is getting interrupted by phrases that are just acknowledgments.
- The assistant is getting interrupted by background noises.
- The assistant is not properly stopping -- it starts talking right after getting interrupted.
Show child attributes
Show child attributes
This is the plan for real-time monitoring of the workflow's calls.
Usage:
- To enable live listening of the workflow's calls, set
monitorPlan.listenEnabledtotrue. - To enable live control of the workflow's calls, set
monitorPlan.controlEnabledtotrue.
Show child attributes
Show child attributes
This enables filtering of noise and background speech while the user is talking.
Features:
- Smart denoising using Krisp
- Fourier denoising
Both can be used together. Order of precedence:
- Smart denoising
- Fourier denoising
Show child attributes
Show child attributes
These are the credentials that will be used for the workflow calls. By default, all the credentials are available for use in the call but you can provide a subset using this.